Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# reduce.hpp File Reference

## Detailed Description

Constructs for static-to-dynamic integer convesion.

Author:
  Lubomir Bourdev and Hailin Jin
  Adobe Systems Incorporated

Date:
  2005-2007
  Last updated on May 4, 2006

`#include <boost/mpl/insert_range.hpp>`
`#include <boost/mpl/range_c.hpp>`
`#include <boost/mpl/vector_c.hpp>`
`#include <boost/mpl/back.hpp>`
`#include <boost/mpl/vector.hpp>`
`#include <boost/mpl/long.hpp>`
`#include <boost/mpl/logical.hpp>`
`#include <boost/mpl/transform.hpp>`
`#include <boost/mpl/insert.hpp>`
`#include "../../metafunctions.hpp"`
`#include "../../typedefs.hpp"`
`#include "dynamic_at_c.hpp"`

Go to the source code of this file.